Qt 5.7 | Qt 3D | C++ Classes | QComponentRemovedChange

Qt 5.7.1 Reference Documentation

# QComponentRemovedChange Class

(Qt3DCore::QComponentRemovedChange)

The QComponentRemovedChange class is used to notify when a component is removed from an entity More...

Header: | #include <QComponentRemovedChange>
qmake: | QT += 3dcore
Inherits: | QSceneChange

- List of all members, including inherited members

## Public Functions

| QComponentRemovedChange(const QEntity *entity, const QComponent *component)
| ~QComponentRemovedChange()
QNodeId | componentId() const
const QMetaObject * | componentMetaObject() const
QNodeId | entityId() const

- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QComponentRemovedChangePtr

## Detailed Description

The QComponentRemovedChange class is used to notify when a component is removed from an entity

## Member Function Documentation

### QComponentRemovedChange::QComponentRemovedChange(const QEntity *entity, const QComponent *component)

Constructs a new QComponentRemovedChange with entity and component.

### QComponentRemovedChange::~QComponentRemovedChange()

Destroys the instance of QComponentRemovedChange.

### QNodeId QComponentRemovedChange::componentId() const

Returns the id of the component removed.

### const QMetaObject *QComponentRemovedChange::componentMetaObject() const

Returns the metaobject.

### QNodeId QComponentRemovedChange::entityId() const

Returns the id of the entity the component was removed from.

## Related Non-Members

### typedef Qt3DCore::QComponentRemovedChangePtr

A shared pointer for QComponentRemovedChange.